package com.hrsk.cloud.eg.infrastructure.cache;

import com.alicp.jetcache.Cache;
import com.alicp.jetcache.anno.CacheType;
import com.alicp.jetcache.anno.CreateCache;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;

/**
 * @author zhangyy
 * @version 1.0
 * @description: TestCacheService
 * @date 2024/8/28 16:53
 */
@Service
public class TestCacheService {

    @CreateCache(name = "test",expire = 300,timeUnit = TimeUnit.SECONDS,cacheType = CacheType.REMOTE)
    private Cache<String, String> cache;

    /** 
     * @description:  获取信息
     * @param:  
     * @return:  
     * @author zhangyy
     * @date: 2024/8/28 16:55
     */ 
    public String get(String key) {
        return cache.get(key);
    }

    /**
     * @description: 添加信息
     * @param:  
     * @return:  
     * @author zhangyy
     * @date: 2024/8/28 16:55
     */ 
    public void put(String key, String value) {
        cache.put(key, value);
    }

}
